AccessibleExtendedTable (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.accessibility, interface: AccessibleExtendedTable
Keywords: javax.accessibility.AccessibleExtendedTable interface

# Interface AccessibleExtendedTable

All Superinterfaces:
  `AccessibleTable`

All Known Implementing Classes:
  `JTable.AccessibleJTable`

public interface AccessibleExtendedTable extends AccessibleTable
Class `AccessibleExtendedTable` provides extended information about a user-interface component that presents data in a two-dimensional table format. Applications can determine if an object supports the `AccessibleExtendedTable` interface by first obtaining its `AccessibleContext` and then calling the `AccessibleContext.getAccessibleTable()` method. If the return value is not `null` and the type of the return value is `AccessibleExtendedTable`, the object supports this interface.

Since:
  1.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccessibleColumn(int index)`
  Returns the column number of an index in the table.
  `int`
  `getAccessibleIndex(int r, int c)`
  Returns the index at a row and column in the table.
  `int`
  `getAccessibleRow(int index)`
  Returns the row number of an index in the table.

  ### Methods declared in interface AccessibleTable

  `getAccessibleAt, getAccessibleCaption, getAccessibleColumnCount, getAccessibleColumnDescription, getAccessibleColumnExtentAt, getAccessibleColumnHeader, getAccessibleRowCount, getAccessibleRowDescription, getAccessibleRowExtentAt, getAccessibleRowHeader, getAccessibleSummary, getSelectedAccessibleColumns, getSelectedAccessibleRows, isAccessibleColumnSelected, isAccessibleRowSelected, isAccessibleSelected, setAccessibleCaption, setAccessibleColumnDescription, setAccessibleColumnHeader, setAccessibleRowDescription, setAccessibleRowHeader, setAccessibleSummary`
  Modifier and Type
  Method
  Description
  `Accessible`
  `getAccessibleAt(int r, int c)`
  Returns the `Accessible` at a specified row and column in the table.
  `Accessible`
  `getAccessibleCaption()`
  Returns the caption for the table.
  `int`
  `getAccessibleColumnCount()`
  Returns the number of columns in the table.
  `Accessible`
  `getAccessibleColumnDescription(int c)`
  Returns the description text of the specified column in the table.
  `int`
  `getAccessibleColumnExtentAt(int r, int c)`
  Returns the number of columns occupied by the `Accessible` at a specified row and column in the table.
  `AccessibleTable`
  `getAccessibleColumnHeader()`
  Returns the column headers as an `AccessibleTable`.
  `int`
  `getAccessibleRowCount()`
  Returns the number of rows in the table.
  `Accessible`
  `getAccessibleRowDescription(int r)`
  Returns the description of the specified row in the table.
  `int`
  `getAccessibleRowExtentAt(int r, int c)`
  Returns the number of rows occupied by the `Accessible` at a specified row and column in the table.
  `AccessibleTable`
  `getAccessibleRowHeader()`
  Returns the row headers as an `AccessibleTable`.
  `Accessible`
  `getAccessibleSummary()`
  Returns the summary description of the table.
  `int[]`
  `getSelectedAccessibleColumns()`
  Returns the selected columns in a table.
  `int[]`
  `getSelectedAccessibleRows()`
  Returns the selected rows in a table.
  `boolean`
  `isAccessibleColumnSelected(int c)`
  Returns a boolean value indicating whether the specified column is selected.
  `boolean`
  `isAccessibleRowSelected(int r)`
  Returns a boolean value indicating whether the specified row is selected.
  `boolean`
  `isAccessibleSelected(int r, int c)`
  Returns a boolean value indicating whether the accessible at a specified row and column is selected.
  `void`
  `setAccessibleCaption(Accessible a)`
  Sets the caption for the table.
  `void`
  `setAccessibleColumnDescription(int c, Accessible a)`
  Sets the description text of the specified column in the table.
  `void`
  `setAccessibleColumnHeader(AccessibleTable table)`
  Sets the column headers.
  `void`
  `setAccessibleRowDescription(int r, Accessible a)`
  Sets the description text of the specified row of the table.
  `void`
  `setAccessibleRowHeader(AccessibleTable table)`
  Sets the row headers.
  `void`
  `setAccessibleSummary(Accessible a)`
  Sets the summary description of the table.

- ## Method Details

  - ### getAccessibleRow

    int getAccessibleRow(int index)
    Returns the row number of an index in the table.
    Parameters:
      `index` - the zero-based index in the table. The index is the table cell offset from row == 0 and column == 0.
    Returns:
      the zero-based row of the table if one exists; otherwise -1

  - ### getAccessibleColumn

    int getAccessibleColumn(int index)
    Returns the column number of an index in the table.
    Parameters:
      `index` - the zero-based index in the table. The index is the table cell offset from row == 0 and column == 0.
    Returns:
      the zero-based column of the table if one exists; otherwise -1

  - ### getAccessibleIndex

    int getAccessibleIndex(int r, int c)
    Returns the index at a row and column in the table.
    Parameters:
      `r` - zero-based row of the table
      `c` - zero-based column of the table
    Returns:
      the zero-based index in the table if one exists; otherwise -1. The index is the table cell offset from row == 0 and column == 0.